Bug 753453 - Review Request: Field3D - Library for storing voxel data
Summary: Review Request: Field3D - Library for storing voxel data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mo Morsi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-11-12 17:19 UTC by Richard Shaw
Modified: 2011-12-27 22:59 UTC (History)
3 users (show)

Fixed In Version: Field3D-1.2.1-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-27 22:56:09 UTC
Type: ---
mmorsi: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Richard Shaw 2011-11-12 17:19:43 UTC
Spec URL: http://hobbes1069.fedorapeople.org/Field3D/Field3D.spec
SRPM URL: http://hobbes1069.fedorapeople.org/Field3D/Field3D-1.2.0-1.fc15.src.rpm
Description:
Field3D is an open source library for storing voxel data. It provides C++
classes that handle in-memory storage and a file format based on HDF5 that
allows the C++ objects to be written to and read from disk.

Comment 1 Richard Shaw 2011-11-12 17:48:19 UTC
Rpmlint output:

Source RPM:
Field3D.src: W: spelling-error Summary(en_US) voxel -> vowel
Field3D.src: W: spelling-error %description -l en_US voxel -> vowel
Field3D.src: W: invalid-url Source0: imageworks-Field3D-v1.2.0-0-gcbe4a23.tar.gz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

The source comes from github so it's generated on the fly. Instructions are included in the spec file for obtaining the source.

RPMS:
$ rpmlint *.x86_64.rpm
Field3D.x86_64: W: spelling-error Summary(en_US) voxel -> vowel
Field3D.x86_64: W: spelling-error %description -l en_US voxel -> vowel
Field3D.x86_64: W: no-manual-page-for-binary f3dinfo
3 packages and 0 specfiles checked; 0 errors, 3 warnings.

I'm working with upstream to create a basic manpage for f3dinfo.

Comment 2 Richard Shaw 2011-11-22 20:39:07 UTC
Spec URL: http://hobbes1069.fedorapeople.org/Field3D/Field3D.spec
SRPM URL:
http://hobbes1069.fedorapeople.org/Field3D/Field3D-1.2.1-1.fc15.src.rpm

Patch and manpage were accepted upstream.

Comment 3 Mo Morsi 2011-12-13 23:26:46 UTC
Taking this one

Comment 4 Mo Morsi 2011-12-13 23:27:15 UTC
As promised, reviewing this package

* rpmlint looks good

$ rpmlint /home/mmorsi/rpmbuild/RPMS/x86_64/Field3D-1.2.1-1.fc15.x86_64.rpm /home/mmorsi/rpmbuild/RPMS/x86_64/Field3D-devel-1.2.1-1.fc15.x86_64.rpm /home/mmorsi/rpmbuild/RPMS/x86_64/Field3D-debuginfo-1.2.1-1.fc15.x86_64.rpm rpmbuild/SRPMS/Field3D-1.2.1-1.fc15.src.rpm 
Field3D.x86_64: W: spelling-error Summary(en_US) voxel -> vowel
Field3D.x86_64: W: spelling-error %description -l en_US voxel -> vowel
Field3D.src: W: spelling-error Summary(en_US) voxel -> vowel
Field3D.src: W: spelling-error %description -l en_US voxel -> vowel
Field3D.src: W: invalid-url Source0: imageworks-Field3D-v1.2.1-0-g0790dc2.tar.gz
4 packages and 0 specfiles checked; 0 errors, 5 warnings.

* koji is green:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3583433

* package performs are required as verified via the test suite and running the f3dinfo --help

* package matches upstream source
$ md5sum imageworks-Field3D-v1.2.1-0-g0790dc2.tar.gz ~/Downloads/imageworks-Field3D-v1.2.1-0-g0790dc2.tar.gz 
9373b2a11df85a2b5cc4ab1f793493d4  imageworks-Field3D-v1.2.1-0-g0790dc2.tar.gz
9373b2a11df85a2b5cc4ab1f793493d4  /home/mmorsi/Downloads/imageworks-Field3D-v1.2.1-0-g0790dc2.tar.gz


The package looks good, and complies to packaging guidelines. Good job.


---------------
Field3D is APPROVED
---------------

Comment 5 Richard Shaw 2011-12-14 14:10:50 UTC
New Package SCM Request
=======================
Package Name: Field3D
Short Description: Library for storing voxel data
Owners: hobbes1069
Branches: f15 f16
InitialCC: 

Thanks for the review!

Comment 6 Gwyn Ciesla 2011-12-14 14:17:28 UTC
Git done (by process-git-requests).

Mo, please take ownership of review BZs, thanks!

Comment 7 Mo Morsi 2011-12-14 14:22:37 UTC
My apologies, simply forgot. Took ownership.

Comment 8 Fedora Update System 2011-12-14 16:18:47 UTC
Field3D-1.2.1-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/Field3D-1.2.1-1.fc16

Comment 9 Fedora Update System 2011-12-14 16:20:15 UTC
Field3D-1.2.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/Field3D-1.2.1-1.fc15

Comment 10 Fedora Update System 2011-12-14 23:33:20 UTC
Field3D-1.2.1-1.fc16 has been pushed to the Fedora 16 testing repository.

Comment 11 Fedora Update System 2011-12-27 22:56:09 UTC
Field3D-1.2.1-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 12 Fedora Update System 2011-12-27 22:59:07 UTC
Field3D-1.2.1-1.fc15 has been pushed to the Fedora 15 stable repository.


Note You need to log in before you can comment on or make changes to this bug.